<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.1) on Wed Aug 14 16:16:23 CEST 2019 -->
<title>RecordDocument (dblp.datatools 2019.08.0.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-08-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RecordDocument (dblp.datatools 2019.08.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">bous.philipp.dblp.datatools.model</a></div>
<h2 title="Class RecordDocument" class="title">Class RecordDocument</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>bous.philipp.dblp.datatools.model.RecordDocument</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="FeatureHolder.html" title="interface in bous.philipp.dblp.datatools.model">FeatureHolder</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">RecordDocument</span>
extends java.lang.Object
implements <a href="FeatureHolder.html" title="interface in bous.philipp.dblp.datatools.model">FeatureHolder</a></pre>
<div class="block">Serves as a source-agnostic representation of a record.
 It consists of an originalId that may be given to the record from
 the original source, an "artificial" id (usually just some unique integer being incremented when inserting a
 new record into a database-table), a "csClassificationStatus" that indicates if this record represents a
 computer science document (1) or not (0) and a list of <a href="Feature.html" title="class in bous.philipp.dblp.datatools.model"><code>Feature</code></a>s associated with this record.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">RecordDocument</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addFeature(bous.philipp.dblp.datatools.model.Feature)">addFeature</a></span>&#8203;(<a href="Feature.html" title="class in bous.philipp.dblp.datatools.model">Feature</a>&nbsp;feature)</code></th>
<td class="colLast">
<div class="block">Adds a feature to the RecordDocument.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCsClassificationStatus()">getCsClassificationStatus</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="Feature.html" title="class in bous.philipp.dblp.datatools.model">Feature</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getFeatureList()">getFeatureList</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets all features of a FeatureHolder as a List.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="Feature.html" title="class in bous.philipp.dblp.datatools.model">Feature</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getFeatures()">getFeatures</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>@Nullable java.util.List&lt;<a href="Feature.html" title="class in bous.philipp.dblp.datatools.model">Feature</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getFeaturesByType(bous.philipp.dblp.datatools.model.FeatureType)">getFeaturesByType</a></span>&#8203;(<a href="FeatureType.html" title="enum in bous.philipp.dblp.datatools.model">FeatureType</a>&nbsp;type)</code></th>
<td class="colLast">
<div class="block">Returns a list of only thos features that have a specific type.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getId()">getId</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOriginalId()">getOriginalId</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCsClassificationStatus(int)">setCsClassificationStatus</a></span>&#8203;(int&nbsp;csClassificationStatus)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setFeatures(java.util.List)">setFeatures</a></span>&#8203;(java.util.List&lt;<a href="Feature.html" title="class in bous.philipp.dblp.datatools.model">Feature</a>&gt;&nbsp;features)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setId(int)">setId</a></span>&#8203;(int&nbsp;id)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setOriginalId(java.lang.String)">setOriginalId</a></span>&#8203;(java.lang.String&nbsp;originalId)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#toSingleLine(boolean,java.util.EnumSet,boolean)">toSingleLine</a></span>&#8203;(boolean&nbsp;stripClass,
            java.util.EnumSet&lt;<a href="FeatureType.html" title="enum in bous.philipp.dblp.datatools.model">FeatureType</a>&gt;&nbsp;excludedFeatures,
            boolean&nbsp;withPositions)</code></th>
<td class="colLast">
<div class="block">Represents the record as a single-line-string which is basically a list of the features, wrapped by some prefix/suffix as defined in the PREFIX_SUFFIX constant.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#toString()">toString</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RecordDocument</h4>
<pre>public&nbsp;RecordDocument()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="toSingleLine(boolean,java.util.EnumSet,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toSingleLine</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;toSingleLine&#8203;(boolean&nbsp;stripClass,
                                     java.util.EnumSet&lt;<a href="FeatureType.html" title="enum in bous.philipp.dblp.datatools.model">FeatureType</a>&gt;&nbsp;excludedFeatures,
                                     boolean&nbsp;withPositions)</pre>
<div class="block">Represents the record as a single-line-string which is basically a list of the features, wrapped by some prefix/suffix as defined in the PREFIX_SUFFIX constant.
 E.g.: [CS_CLASS: 1].[AUTHORS: Philipp Bous].   [...].</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>stripClass</code> - if true, the classification-information will not be included in the resulting string-representation.</dd>
<dd><code>excludedFeatures</code> - features to be excluded from the string-representation</dd>
<dd><code>withPositions</code> - include original position information if true</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a single-line-string representing this record</dd>
</dl>
</li>
</ul>
<a id="getFeatureList()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFeatureList</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;<a href="Feature.html" title="class in bous.philipp.dblp.datatools.model">Feature</a>&gt;&nbsp;getFeatureList()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="FeatureHolder.html#getFeatureList()">FeatureHolder</a></code></span></div>
<div class="block">Gets all features of a FeatureHolder as a List.
 Any implementation should make sure that no features with a value equal to null will be included in the returned list!
 Furthermore remark that depending on implementation/context the feature-ids
 should be set to something meaningful (e.g. an incrementing index for a db).</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="FeatureHolder.html#getFeatureList()">getFeatureList</a></code>&nbsp;in interface&nbsp;<code><a href="FeatureHolder.html" title="interface in bous.philipp.dblp.datatools.model">FeatureHolder</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a List of features</dd>
</dl>
</li>
</ul>
<a id="getFeaturesByType(bous.philipp.dblp.datatools.model.FeatureType)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFeaturesByType</h4>
<pre class="methodSignature">@Nullable
public&nbsp;@Nullable java.util.List&lt;<a href="Feature.html" title="class in bous.philipp.dblp.datatools.model">Feature</a>&gt;&nbsp;getFeaturesByType&#8203;(<a href="FeatureType.html" title="enum in bous.philipp.dblp.datatools.model">FeatureType</a>&nbsp;type)</pre>
<div class="block">Returns a list of only thos features that have a specific type.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - the type that is searched for</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list of only those features of the specified type</dd>
</dl>
</li>
</ul>
<a id="addFeature(bous.philipp.dblp.datatools.model.Feature)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addFeature</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addFeature&#8203;(<a href="Feature.html" title="class in bous.philipp.dblp.datatools.model">Feature</a>&nbsp;feature)</pre>
<div class="block">Adds a feature to the RecordDocument.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>feature</code> - the feature to be added</dd>
</dl>
</li>
</ul>
<a id="toString()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a id="getCsClassificationStatus()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCsClassificationStatus</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getCsClassificationStatus()</pre>
</li>
</ul>
<a id="setCsClassificationStatus(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCsClassificationStatus</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setCsClassificationStatus&#8203;(int&nbsp;csClassificationStatus)
                               throws java.lang.IllegalArgumentException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code></dd>
</dl>
</li>
</ul>
<a id="getFeatures()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFeatures</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;<a href="Feature.html" title="class in bous.philipp.dblp.datatools.model">Feature</a>&gt;&nbsp;getFeatures()</pre>
</li>
</ul>
<a id="setFeatures(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFeatures</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setFeatures&#8203;(java.util.List&lt;<a href="Feature.html" title="class in bous.philipp.dblp.datatools.model">Feature</a>&gt;&nbsp;features)</pre>
</li>
</ul>
<a id="getOriginalId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOriginalId</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getOriginalId()</pre>
</li>
</ul>
<a id="setOriginalId(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOriginalId</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setOriginalId&#8203;(java.lang.String&nbsp;originalId)</pre>
</li>
</ul>
<a id="getId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getId()</pre>
</li>
</ul>
<a id="setId(int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setId</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setId&#8203;(int&nbsp;id)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
